/*!
  \file
  \brief 項目の表示を入れ換えて決定を促す選択コンポーネント

  \author Satofumi KAMIMURA

  $Id: ChangeSelect.cpp 1940 2011-01-23 22:56:38Z satofumi $
*/

#include "ChangeSelect.h"

using namespace qrk;


struct ChangeSelect::pImpl
{
};


ChangeSelect::ChangeSelect(void)
    : pimpl(new pImpl)
{
}


Rect<long> ChangeSelect::rect(void) const
{
    // !!!
    Rect<long> dummy;
    return dummy;
}


void ChangeSelect::setEventAcceptable(bool acceptable)
{
    (void)acceptable;
    // !!!
}


void ChangeSelect::setAlpha(float alpha)
{
    (void)alpha;
    // !!!
}


float ChangeSelect::alpha(void)
{
    // !!!
    return 0.0;
}


void ChangeSelect::setRotateAngle(const Angle& angle)
{
    (void)angle;
    // !!!
}


void ChangeSelect::draw(const Rect<long>& area)
{
    (void)area;
    // !!!
}
